Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.tags
Class ParametersFormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.jaspersoft.jasperserver.war.tags.ParametersFormTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ParametersFormTag

extends javax.servlet.jsp.tagext.TagSupport

Version:
  $Id: ParametersFormTag.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIBUTE_INPUT_NAME_PREFIX`
`static java.lang.String` | `ATTRIBUTE_ON_INPUT_CHANGE`
`static java.lang.String` | `ATTRIBUTE_READ_ONLY`
`static java.lang.String` | `CANCEL_PARAM`
`static java.lang.String` | `DEFAULT_RENDER_JSP`
`static java.lang.String` | `REPORT_PARAMETERS_ATTR`
`static java.lang.String` | `SUBMIT_PARAM`
`static java.lang.String` | `WRAPPERS_ATTR`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ParametersFormTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.String` | `getInputNamePrefix()`
`java.lang.String` | `getOnInputChange()`
`java.lang.String` | `getRenderJsp()`
`java.lang.String` | `getReportName()`
`boolean` | `isReadOnly()`
`protected void` | `setAttributes()`
`void` | `setInputNamePrefix(java.lang.String inputNamePrefix)`
`void` | `setOnInputChange(java.lang.String onInputChange)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setRenderJsp(java.lang.String renderJsp)`
`void` | `setReportName(java.lang.String reportName)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RENDER_JSP

    public static final java.lang.String DEFAULT_RENDER_JSP

See Also:
  Constant Field Values

### REPORT_PARAMETERS_ATTR

    public static final java.lang.String REPORT_PARAMETERS_ATTR

See Also:
  Constant Field Values

### WRAPPERS_ATTR

    public static final java.lang.String WRAPPERS_ATTR

See Also:
  Constant Field Values

### SUBMIT_PARAM

    public static final java.lang.String SUBMIT_PARAM

See Also:
  Constant Field Values

### CANCEL_PARAM

    public static final java.lang.String CANCEL_PARAM

See Also:
  Constant Field Values

### ATTRIBUTE_ON_INPUT_CHANGE

    public static final java.lang.String ATTRIBUTE_ON_INPUT_CHANGE

See Also:
  Constant Field Values

### ATTRIBUTE_INPUT_NAME_PREFIX

    public static final java.lang.String ATTRIBUTE_INPUT_NAME_PREFIX

See Also:
  Constant Field Values

### ATTRIBUTE_READ_ONLY

    public static final java.lang.String ATTRIBUTE_READ_ONLY

See Also:
  Constant Field Values

Constructor Detail

### ParametersFormTag

    public ParametersFormTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### setAttributes

    protected void setAttributes()

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getRenderJsp

    public java.lang.String getRenderJsp()

### setRenderJsp

    public void setRenderJsp(java.lang.String renderJsp)

### getReportName

    public java.lang.String getReportName()

### setReportName

    public void setReportName(java.lang.String reportName)

### getOnInputChange

    public java.lang.String getOnInputChange()

### setOnInputChange

    public void setOnInputChange(java.lang.String onInputChange)

### getInputNamePrefix

    public java.lang.String getInputNamePrefix()

### setInputNamePrefix

    public void setInputNamePrefix(java.lang.String inputNamePrefix)

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.